
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>150倍加速机械盘，UCloud云主机IO加速技术揭秘 / 憋错料</title>

    <meta name="description" content="150倍加速机械盘，UCloud云主机IO加速技术揭秘 现如今CPU的计算能力和磁盘的访问延迟之间的差距逐渐扩大,使得用户云主机的磁盘IO经常成为严重的性能瓶颈,云计算环境下更加明显.针对机械盘IO性能低下的问题,我们通过自研的云主机IO加速方案,使4K随机写的最高性能由原来的300 IOPS提升至4.5W IOPS,提高了150倍,即用机械盘的成本获得了SSD的性能.13年上线至今,该方案已历经五年的运营实践,并成功应用于全网93%的标准型云主机,覆盖12.7万台实例,总容量达26PB. 一.为什么需要IO加速 传统的机械磁盘在寻址时需要移动磁头到">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">150倍加速机械盘，UCloud云主机IO加速技术揭秘</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>现如今CPU的计算能力和磁盘的访问延迟之间的差距逐渐扩大，使得用户云主机的磁盘IO经常成为严重的性能瓶颈，云计算环境下更加明显。针对机械盘IO性能低下的问题，我们通过自研的云主机IO加速方案，使4K随机写的最高性能由原来的300 IOPS提升至4.5W IOPS，提高了150倍，即用机械盘的成本获得了SSD的性能。13年上线至今，该方案已历经五年的运营实践，并成功应用于全网93%的标准型云主机，覆盖12.7万台实例，总容量达26PB。</p>
<p><strong>一.为什么需要IO加速</strong></p>
<p>传统的机械磁盘在寻址时需要移动磁头到目标位置，移动磁头的操作是机械磁盘性能低下的主要原因，虽然各种系统软件或者IO调度器都致力于减少磁头的移动来提高性能，但大部分场景下只是改善效果。一般，一块SATA机械磁盘只有300左右的4K随机IOPS，对于大多数云主机来说，300的随机IOPS哪怕独享也是不够的，更何况在云计算的场景中，一台物理宿主机上会有多台云主机。因此，必须要有其他的方法来大幅提升IO性能。</p>
<p>早期SSD价格昂贵，采用SSD必然会带来用户使用成本的提升。于是，我们开始思考能否从技术角度来解决这个问题，通过对磁盘性能特性的分析，我们开始研发第一代IO加速方案。即使今天SSD越来越普及，机械盘凭借成本低廉以及存储稳定的特点，仍然广泛应用，而IO加速技术能让机械盘满足绝大多数应用场景的高IO性能需求。</p>
<p><strong>二.IO加速原理及第一代IO加速</strong></p>
<p>我们知道机械磁盘的特性是随机IO性能较差，但顺序IO性能较好，如前文中提到的4K随机IO只能有300 IOPS的性能，但其顺序IO性能可以达到45000 IOPS。</p>
<p>IO加速的基本原理就是利用了机械磁盘的这种性能特性，首先系统有两块盘：一块是cache盘，它是容量稍小的机械盘，用来暂时保存写入的数据；另一块是目标盘，它是容量较大的机械盘，存放最终的数据。</p>
<p><strong>1. IO的读写</strong></p>
<p>写入时将上层的IO顺序的写入到cache盘上，因为是顺序的方式写入所以性能非常好，然后在cache盘空闲时由专门的线程将该盘的数据按照写入的先后顺序回刷到目标盘，使得cache盘保持有一定的空闲空间来存储新的写入数据。</p>
<p>为了做到上层业务无感知，我们选择在宿主机内核态的device mapper层（简称dm层）来实现该功能，dm层结构清晰，模块化较为方便，实现后对上层体现为一个dm块设备，上层不用关心这个块设备是如何实现的，只需要知道这是一个块设备可以直接做文件系统使用。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS9wZ2MtaW1hZ2UvZTRiZmQ5NmRlYTRjNDYyOWIyNjY1YTFjYjg1ZjkzZmU=.jpg" /></p>
<p>按照上述方式，当新的IO写入时，dm层模块会将该IO先写入cache盘，然后再回刷到目标盘，这里需要有索引来记录写入的IO在cache盘上的位置和在目标盘上的位置信息，后续的回刷线程就可以利用该索引来确定IO数据源位置和目标位置。我们将索引的大小设计为512字节，因为磁盘的扇区是512字节，所以每次的写入信息变成了4K数据+512字节索引的模式，为了性能考虑，索引的信息也会在内存中保留一份。</p>
<p>读取过程比较简单，通过内存中的索引判断需要读取位置的数据是在cache盘中还是在目标盘中，然后到对应的位置读取即可。</p>
<p>写入的数据一般为4K大小，这是由内核dm层的特性决定的，当写入IO大于4K时，dm层默认会将数据切分，比如写入IO是16K，那么就会切分成4个4K的IO；如果写入数据不是按照4K对齐的，比如只有1024字节，那么就会先进行特殊处理，首先检查该IO所覆盖的数据区，如果所覆盖的内存区在cache盘中有数据，那么需要将该数据先写入目标盘，再将该IO写入目标盘，这个处理过程相对比较复杂，但在文件系统场景中大部分IO都是4K对齐的，只有极少数IO是非对齐的，所以并不会对业务的性能造成太大影响。</p>
<p><strong>2. 索引的快速恢复与备份</strong></p>
<p>系统在运行过程中无法避免意外掉电或者系统关闭等情况发生，一个健壮的系统必须能够在遇到这些情况时依然能保证数据的可靠性。当系统启动恢复时，需要重建内存中的索引数据，这个数据在cache盘中已经和IO数据一起写入了，但因为索引是间隔存放的，如果每次都从cache盘中读取索引，那么，数据的恢复速度会非常慢。</p>
<p>为此，我们设计了内存索引的定期dump机制，每隔大约1小时就将内存中的索引数据dump到系统盘上，启动时首先读取该dump索引，然后再从cache盘中读取dump索引之后的最新1小时内的索引，这样，就大大提升了系统恢复的启动时间。</p>
<p>依据上述原理，UCloud自研了第一代IO加速方案。采用该方案后，系统在加速随机写入方面取得了显著效果，且已在线上稳定运行。</p>
<p><strong>三.第一代IO加速方案存在的问题</strong></p>
<p>但随着系统的运行，我们也发现了一些问题。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDk5LnBzdGF0cC5jb20vbGFyZ2UvcGdjLWltYWdlLzMyNzhjMjMwNzE1NDQ0MDk4NDI5YjVlMWFkYzg1ZjAy.jpg" /></p>
<p><strong>1）索引内存占用较大</strong></p>
<p>磁盘索引因为扇区的原因最小为512字节，但内存中的索引其实没有必要使用这么多，过大的索引会过度消耗内存。</p>
<p><strong>2）负载高时cache盘中堆积的IO数据较多</strong></p>
<p>IO加速的原理主要是加速随机IO，对顺序IO因为机械盘本身性能较好不需要加速，但该版本中没有区分顺序IO和随机IO，所有IO都会统一写入cache盘中，使得cache堆积IO过多。</p>
<p><strong>3）热升级不友好</strong></p>
<p>初始设计时对在线升级的场景考虑不足，所以第一代IO加速方案的热升级并不友好。</p>
<p><strong>4）无法兼容新的512e机械磁盘</strong></p>
<p>传统机械磁盘物理扇区和逻辑扇区都是512字节，而新的512e磁盘物理扇区是4K了，虽然逻辑扇区还可以使用512字节，但性能下降严重，所以第一代IO加速方案的4K数据+512字节索引的写入方式需要进行调整。</p>
<p><strong>5）性能无法扩展</strong></p>
<p>系统性能取决于cache盘的负载，无法进行扩展。</p>
<p><strong>四.第二代IO加速技术</strong></p>
<p>上述问题都是在第一代IO加速技术线上运营的过程中发现的。并且在对新的机械磁盘的兼容性方面，因为传统的512字节物理扇区和逻辑扇区的512n类型磁盘已经逐渐不再生产，如果不对系统做改进，系统可能会无法适应未来需求。因此，我们在第一代方案的基础上，着手进行了第二代IO加速技术的研发和优化迭代。</p>
<p><strong>1. 新的索引和索引备份机制</strong></p>
<p>第一代的IO加速技术因为盘的原因无法沿用4K+512Byte的格式，为了解决这个问题，我们把数据和索引分开，在系统盘上专门创建了一个索引文件，因为系统盘基本处于空闲状态，所以不用担心系统盘负载高影响索引写入，同时我们还优化了索引的大小由512B减少到了64B，而数据部分还是写入cache盘，如下图所示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDk5LnBzdGF0cC5jb20vbGFyZ2UvcGdjLWltYWdlLzE3YjY2NzJiMzNmMzRjNzlhMzg3ODE3ZTUxY2Q5ODUz.jpg" /></p>
<p>其中索引文件头部和数据盘头部保留两个4K用于存放头数据，头数据中包含了当前cache盘数据的开始和结束的偏移，其后是具体的索引数据，索引与cache盘中的4K数据是一一对应的关系，也就是每个4K的数据就会有一个索引。</p>
<p>因为索引放在了系统盘，所以也要考虑，如果系统盘发生了不可恢复的损坏时，如何恢复索引的问题。虽然系统盘发生损坏是非常小概率的事件，但一旦发生，索引文件将会完全丢失，这显然是无法接受的。因此，我们设计了索引的备份机制，每当写入8个索引，系统就会将这些索引合并成一个4K的索引备份块写入cache盘中（具体见上图中的紫色块），不满4K的部分就用0来填充，这样当系统盘真的发生意外也可以利用备份索引来恢复数据。</p>
<p>在写入时会同时写入索引和数据，为了提高写入效率，我们优化了索引的写入机制，引入了合并写入的方式：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS9wZ2MtaW1hZ2UvNTllNDBlZWVlOGFlNGYwMTkxMDg1MmNhOTQ4MTI0ZTg=.jpg" /></p>
<p>当写入时可以将需要写入的多个索引合并到一个4K的write buffer中，一次性写入该write buffer，这样避免了每个索引都会产生一个写入的低效率行为，同时也保证了每次的写入是4K对齐的。</p>
<p><strong>2. 顺序IO识别能力</strong></p>
<p>在运营第一代IO加速技术的过程中，我们发现用户在做数据备份、导入等操作时，会产生大量的写入，这些写入基本都是顺序的，其实不需要加速，但第一代的IO加速技术并没有做区分，所以这些IO都会被写入在cache盘中，导致cache盘堆积的IO过多。为此，我们添加了顺序IO识别算法，通过算法识别出顺序的IO，这些IO不需要通过加速器，会直接写入目标盘。</p>
<p>一个IO刚开始写入时是无法预测此IO是顺序的还是随机的，一般的处理方式是当一个IO流写入的位置是连续的，并且持续到了一定的数量时，才能认为这个IO流是顺序的，所以算法的关键在于如何判断一个IO流是连续的，这里我们使用了触发器的方式。</p>
<p>当一个IO流开始写入时，我们会在这个IO流写入位置的下一个block设置一个触发器，触发器被触发就意味着该block被写入了，那么就将触发器往后移动到再下一个block，当触发器被触发了一定的次数，我们就可以认为这个IO流是顺序的，当然如果触发器被触发后一定时间没有继续被触发，那么我们就可以回收该触发器。</p>
<p><strong>3. 无感知热升级</strong></p>
<p>第一代的IO加速技术设计上对热升级支持并不友好，更新存量版本时只能通过热迁移然后重启的方式，整个流程较为繁琐，所以在开发第二代IO加速技术时，我们设计了无感知热升级的方案。</p>
<p>由于我们的模块是位于内核态的dm层，一旦初始化后就会生成一个虚拟的dm块设备，该块设备又被上层文件系统引用，所以这个模块一旦初始化后就不能卸载了。为了解决这个问题，我们设计了父子模块的方式，父模块在子模块和dm层之间起到一个桥梁的作用，该父模块只有非常简单的IO转发功能，并不包含复杂的逻辑，因此可以确保父模块不需要进行升级，而子模块包含了复杂的业务逻辑，子模块可以从父模块中卸载来实现无感知热升级：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDMucHN0YXRwLmNvbS9sYXJnZS9wZ2MtaW1hZ2UvNWI5NWMwMjFmMGIyNGJkOGIxZmEwYTM1MGU5NmVlMDY=.jpg" /></p>
<p>上图中的binlogdev.ko就是父模块，cachedev.ko为子模块，当需要热升级时可以将cache盘设置为只读模式，这样cache盘只回刷数据不再写入，等cache盘回刷完成后，可以认为后续的写入IO可直接写入目标盘而不用担心覆盖cache盘中的数据，这样子模块就可以顺利拔出替换了。</p>
<p>这样的热升级机制不仅实现了热升级的功能，还提供了故障时的规避机制，在IO加速技术的灰度过程中，我们就发现有个偶现的bug会导致宿主机重启，我们第一时间将所有cache盘设置为只读，以避免故障的再次发生，并争取到了debug的时间。</p>
<p><strong>4. 兼容512e机械磁盘</strong></p>
<p>新一代的机械磁盘以512e为主，该类型的磁盘需要写入IO按照4K对齐的方式才能发挥最大性能，所以原先的4K+512B的索引格式已经无法使用，我们也考虑过把512B的索引扩大到4K，但这样会导致索引占用空间过多，且写入时也会额外占用磁盘的带宽效率太低，所以最终通过将索引放到系统盘并结合上文提到的合并写入技术来解决该问题。</p>
<p><strong>5. 性能扩展和提升</strong></p>
<p>在第一代的IO加速技术中只能使用1块cache盘，当这块cache盘负载较高时就会影响系统的性能，在第二代IO加速中，我们设计了支持多块cache盘，并按照系统负载按需插入的方式，使加速随机IO的能力随着盘数量的提升而提升。在本地cache盘以及网络cache盘都采用SATA机械磁盘的条件下，测试发现，随着使用的cache盘数量的增多，随机写的性能也得到了大幅度的提升。</p>
<p>在只使用一块本地cache盘时，随机写性能可达4.7W IOPS：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDk5LnBzdGF0cC5jb20vbGFyZ2UvcGdjLWltYWdlLzU3YTliOGYzM2RmYTQxYWU5M2RiMTA5NWY5MTlkMmU0.jpg" /></p>
<p>在使用一块本地cache盘加一块网络cache盘时，随机写性能可达9W IOPS：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDEucHN0YXRwLmNvbS9sYXJnZS9wZ2MtaW1hZ2UvMWNiNmU3ZTNjZjBjNDdjMzliYTA1YjYyNjdjZjk1ZDY=.jpg" /></p>
<p>在使用一块本地cache盘加两块网络cache盘时，随机写性能可达13.6W IOPS：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcDk5LnBzdGF0cC5jb20vbGFyZ2UvcGdjLWltYWdlLzU5NzBlY2E1ODM2MDRjMzc4NzJiMjI4NzBlNmJiNGE1.jpg" /></p>
<p>目前，我们已经大规模部署应用了第二代IO加速技术的云主机。得益于上述设计，之前备受困扰的cache盘IO堆积过多、性能瓶颈等问题得到了极大的缓解，特别是IO堆积的问题，在第一代方案下，负载较高时经常触发并导致性能损失和运维开销，采用第二代IO加速技术后，该监控告警只有偶现的几例触发。</p>
<p><strong>五.写在最后</strong></p>
<p>云主机IO加速技术极大提升了机械盘随机写的处理能力，使得用户可以利用较低的价格满足业务需求。且该技术的本质并不单单在于对机械盘加速，更是使系统层面具备了一种可以把性能和所处的存储介质进行分离的能力，使得IO的性能并不受限于其所存储的介质。此外，一项底层技术在实际生产环境中的大规模应用，其设计非常关键，特别是版本热升级、容错以及性能考虑等都需要仔细斟酌。希望本文可以帮助大家更好的理解底层技术的特点及应用，并在以后的设计中做出更好的改进。</p>
<p><strong>— END —</strong></p>
<p>即将于12/21举办的“UCloud用户大会暨TIC上海站”上，UCloud将和参会者一起探讨诸如云主机IO加速这样的产品设计理念、技术细节及未来发展等话题。欢迎点击下方二维码或者点击阅读原文进行报名，期待您的光临！</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYmxvZy51Y2xvdWQuY24vd3AtY29udGVudC91cGxvYWRzLzIwMTgvMTEvJUU2JUI1JUI3JUU2JThBJUE1X21laXR1XzIuanBn.jpg" /></p>

<p>原文地址：http://blog.51cto.com/13832960/2325544</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 10:06:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e8%ae%be%e7%bd%ae/" title="设置">设置</a>, <a href="https://www.biecuoliao.com/tag/%e5%88%86%e7%a6%bb/" title="分离">分离</a>, <a href="https://www.biecuoliao.com/tag/%e9%80%9f%e5%ba%a6/" title="速度">速度</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.biecuoliao.com/tag/nlog/" title="nlog">nlog</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e8%8a%82/" title="字节">字节</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%90%e6%a8%a1%e5%9d%97/" title="子模块">子模块</a>, <a href="https://www.biecuoliao.com/tag/%e5%9c%a8%e7%ba%bf%e5%8d%87%e7%ba%a7/" title="在线升级">在线升级</a>, <a href="https://www.biecuoliao.com/tag/cached/" title="cached">cached</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>150倍加速机械盘，UCloud云主机IO加速技术揭秘的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Ob7wK0.html" rel="bookmark">一次惨痛的Ucloud云主机磁盘扩容操作导致数据丢失的经历</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				故障描述: 线上申请了一台Ucloud云主机用于搭建Zabbix监控平台,最近这台云主机的数据盘已经达到60G,决定将数据盘从80G扩容到200G,按照Ucloud官方文档http://docs.ucloud.cn/uhost/scaleup.html 的描述进行操作,umount /dev/vdb1后,再执行e2fsck -f /dev/vdb后抱如下错误 这种错误太多了,于是我按Contrl+C取消掉了,Ucloud技术支持那边给的建议是e2fsck -fy /dev/vdb,然后不再抱这种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eavPZ0.html" rel="bookmark">使用Amazon免费云主机和Docker技术，快速搭建Squid服务器！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首要要申请使用Amazon的EC2,具体步骤就不啰嗦了,不熟悉的同学可以参考以下步骤(Amazon网站上有详细的在线说明). 账号注册 绑定信用卡:这个是必须过程,但不需要付费. 访问AWS控制台:https://console.aws.amazon.com 在主WEB面板点击compute的EC2 接着在EC2面板中点击Launch Instance 选择主机镜像 选择实例的类型,这里我们选择第一个:Free tier eligible,不要选择其它的,否则导致付费 配置实例的细节,这里要注意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX1Jmk0.html" rel="bookmark">Ucloud无外网IP云主机通过代理访问外网</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现有两台Ucloud云主机 A.10.10.47.65  (有外网IP) B.10.10.30.101 A主机由外网IP,B主机没有.现在需要通过网络在B主机上安装软件. 1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzNxLWM.html" rel="bookmark">云主机性能测试结论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				A:测试结论1:云主机IO性能上ucloud最好,其次是阿里,再次是万根,最后是盛大2:基准测试中,ucloud的IO吞吐量最好占用CPU资源最少.3:阿里云擅长4k以下文件大小的随机读取而ucloud擅长4K以上文件大小的随机读取,特别是8k大小性能最优4:更为接近实际的混合大小性能测试中ucloud的性能最好是其他厂商的10倍左右. B:测试数据 1:数据读取速度ucloud云主机最低224.8MB/S,最高508.8MB/S,平均410.7MB/S 阿里云主机最低17.4MB/S, 最高1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rQpk10.html" rel="bookmark">云服务器之云主机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云主机是云计算在基础设施应用上的重要组成部分,位于云计算产业链金字塔底层,产品源自云计算平台.该平台整合了互联网应用三大核心要素:计算.存储.网络,面向用户提供公用化的互联网基础设施服务.云主机是一种类似VPS主机的虚拟化技术, VPS是采用虚拟软件,VZ或VM在一台主机上虚拟出多个类似独立主机的部分,每个部分都可以做单独的操作系统,管理方法同主机一样. 而云主机是在一组集群主机上虚拟出多个类似独立主机的部分,集群中每个主机上都有云主机的一个镜像,从而大大提高了虚拟主机的安全稳定性,除非所有的集			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e5vPE0.html" rel="bookmark">云主机的概念和优势解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算被誉为第四次信息技术革命. 基于云计算的云主机服务已经成为众多建站用户的首选. 云主机是云计算在基础设施应用上的重要组成部分,在一组集群主机上虚拟出类似独立主机的部分,集群中每个主机上都会有云主机的一个镜像,以此来提高主机的安全稳定性.简单说,除非所有的集群内主机全部出问题,云主机才会无法访问. 提供云主机服务的IDC公司将其硬件和网络线路做成一朵&quot;云&quot;,让后向客户提供一些网络接口API通向这朵&quot;云&quot;.由于这多&quot;云&quot;里有很多服务器,所以每个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xB6zk4.html" rel="bookmark">小白普及：云主机与传统服务器的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算这股风自横扫IT界,势头越来越猛烈,在各细分领域的应用也备受关注,云主机是云计算技术为支撑落地比较成熟的产品,当前云主机市场可谓群雄角逐厮杀激烈,大家比较熟知的品牌就有微软云,华为云.亚马逊云.腾讯云,百度云.天翼云,还有老牌西部数据等等.相信大多数用户,像IT运维以及各大站长和我一样,关注的是更实质的东西,究竟云主机是不是真的好用,是否能满足各种业务模式和需求.在这里我就以初步试水云主机经验,给大家做下浅析. 首先,我们来明确云主机是什么,说得神乎其神,可看不见摸不着以至很多人不理解它的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyBrXj0.html" rel="bookmark">云主机五大技术问题-众一网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.虚拟化技术 虚拟化技术是指计算元件在虚拟的基础上而不是真实的基础上运行,它可以扩大硬件的容量,简化软件的重新配置过程,减少软件虚拟机相关开销和支持更广泛的操作系统方面.通过虚拟化技术可实现软件应用与底层硬件相隔离,它包括将单个资源划分成多个虚拟资源的裂分模式,也包括将多个资源整合成一个虚拟资源的聚合模式.虚拟化技术根据对象可分成存储虚拟化.计算虚拟化.网络虚拟化等,计算虚拟化又分为系统级虚拟化.应用级虚拟化和桌面虚拟化目.在云计算实现中.计算系统虚拟化是一切建立在“云”上的服务与应用的基础.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0krZAdM.html" rel="bookmark">通悉网络刘雨生为你解决BGP云主机线路技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着技术的发展,BGP云主机技术发展愈发的成熟,BGP云主机的云计算技术将云计算的资源与互联网的主流建站软件程序相结合,帮助中小创业者降低创业门槛,着手打造互联网创业者应用群体的生态链. BGP是自制系统间的路由协议,BGP的主要功能就是和其他BGP说话者之间交换网络可达性信息.BGP的传输协议使用的是TCP协议,这提供了可靠的数据传输.两个BGP路由器就形成了一个传输协议的连接.这样两个路由器就被称为邻居或者对等体.两个路由器一旦传输连接形成,两对路由器交换报文以开放并确认连接参数.两个路由器			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzXQ23.html" rel="bookmark" class="title">coreseek 自定义词库（三）排序 setsortmode</a>
					<div>
						对于mysql获取数据,可以根据不同的条件来进行排序,同样使用coreseek也有同样的排序功能. PHP的API中只有 SetSortMode(模式,条件) 方法,他也支持多个字段一次排序. 根据上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0YljwM.html" rel="bookmark" class="title">java入门第一季01</a>
					<div>
						1.System.out.println()输出 2.char 只能用单引号,println输出是可以用单双引号,但输出为字符串时必须用双引号. 3.java核心有三部分JVM(Java Virtua ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZB5D3.html" rel="bookmark" class="title">java动手动脑08</a>
					<div>
						一.动手动脑 1)源代码: public class ParentChildTest { public static void main(String[] args) { Parent parent= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aV6E3.html" rel="bookmark" class="title">spring4 cronTrigger和simpleTrigger实现方法</a>
					<div>
						Quartz官方网站对SimpleTrigger和CronTrigger的简单对比:      SimpleTrigger is handy if you need 'one-shot' execut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38NwPZM.html" rel="bookmark" class="title">1109整理</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49Z2wWM.html" rel="bookmark" class="title">使用MySQL Workbench进行数据库设计&mdash;&mdash;MySQL Workbench用法总结</a>
					<div>
						转载请注明出处:http://blog.csdn.net/dongdong9223/article/details/48318877 1 简单介绍 MySQL Workbench是一款专为MySQL设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYR8a3.html" rel="bookmark" class="title">深入浅出node&lpar;2&rpar; 模块机制</a>
					<div>
						一)CommonJs 1.1CommonJs模块定义 二)Node的模块实现 2.1模块分类 2.2 路径分析和文件定位 2.2.1 路径分析 2.2.2 文件定位 2.3 模块编译 一) Commo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPNJa0.html" rel="bookmark" class="title">组合数取模Lucas定理及快速幂取模</a>
					<div>
						组合数取模就是求的值,根据,和的取值范围不同,采取的方法也不一样. 下面,我们来看常见的两种取值情况(m.n在64位整数型范围内) (1)  , 此时较简单,在O(n2)可承受的情况下组合数的计算可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYGyy3.html" rel="bookmark" class="title">&lbrack;转&rsqb; 从此不再惧怕URI编码：JavaScript及C&num; URI编码详解</a>
					<div>
						混乱的URI编码 JavaScript中编码有三种方法:escape.encodeURI.encodeURIComponent C#中编码主要方法:HttpUtility.UrlEncode.Serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvZVQ0.html" rel="bookmark" class="title">腾讯也会有出问题的一天&period;</a>
					<div>
						刚刚看了下页面.腾讯的首页全部广告都没了 然后这个页面直接乱码了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wyqn0.html" rel="bookmark" class="title">perl脚本获取网页内容</a>
					<div>
						# 使用LWP模块的get函数获取网页内容.use LWP::Simple;my $doc=get(&quot;http://www.csdn.net&quot;);# 获取网页内容后可以对内容进行提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nq2ww3.html" rel="bookmark" class="title">LVS 负载均衡概念篇</a>
					<div>
						一.简单介绍 LVS是Linux Virtual Server的简写,是Linux服务器上的一种高扩展和高可用集群方案.由章文嵩博士主导开发,目前已被集成到Linux内核模块中,在内核级别实现了四层( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lewdE3.html" rel="bookmark" class="title">Memcache监控工具 -- stats</a>
					<div>
						Memcache监控工具 -- stats 介绍 Memcache的stats命令是最基本的查看memcache状态的工具. 默认实例下,通过telnet 127.0.0.1 11211这样的命令连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JyPKY3.html" rel="bookmark" class="title">Installing Multiple Versions of MySQL</a>
					<div>
						Installing Multiple Versions of MySQL As with any RDBMS, there are circumstances in which you need t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjP5x0.html" rel="bookmark" class="title">KVO的实现原理</a>
					<div>
						摘自:iOS--KVO的实现原理与具体应用 1 KVO是什么? KVO是Objective-C对观察者模式的一种实现,另外一种是通知机制(notification) KVO提供一种机制,指定一个被观察 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPNKaM.html" rel="bookmark" class="title">Java NIO系列教程（三） Buffer&lpar;转&rpar;</a>
					<div>
						Java NIO中的Buffer用于和NIO通道进行交互.如你所知,数据是从通道读入缓冲区,从缓冲区写入到通道中的. 缓冲区本质上是一块可以写入数据,然后可以从中读取数据的内存.这块内存被包装成NIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47z9py3.html" rel="bookmark" class="title">图像检索：基于形状特征的算法</a>
					<div>
						本文节选自&lt;基于形状特征的图像检索算法研究&gt; 基于形状特征的图像检索算法相对于颜色特征和纹理特征来说,使用的稍微少一些.摘录了其中的几种算法,不做深入剖析了. 形状通常与图像中的特定目标对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQl9l0.html" rel="bookmark" class="title">SQL中MINUS的用法与UNION的用法</a>
					<div>
						一:MINUS指令 其是运用在两个 SQL 语句上.它先找出第一个 SQL 语句所产生的结果,然后看这些结果有没有在第二个 SQL语句的结果中.如果有的话,那第一个SQL结果数据就被去除,而不会在最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NXYm80.html" rel="bookmark" class="title">获取当前浏览器的时间</a>
					<div>
						关于时间对象的 api 总是记不住,除了总用的那几个~ 这里做下记录: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RjRG50.html" rel="bookmark" class="title">Ubuntu pxe support uefi</a>
					<div>
						http://djmimi-linux.blogspot.com/ Step 4. Modify DHCP service configuration #vi /etc/dhcp/dhcpd.conf ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
